varying vec3 N;
varying float depth;

uniform float farPlane;

void main(void)
{
	vec4 viewPos = gl_ModelViewMatrix * gl_Vertex;
	depth = -viewPos.z/farPlane;

	gl_Position = ftransform();
	N = -normalize((gl_ModelViewMatrix * vec4(gl_Normal.xyz, 0.0)).xyz);
}